### R code from vignette source 'blm.Rnw'

###################################################
### code chunk number 1: blm.Rnw:73-79
###################################################
library(blm)
library(MASS)

data(Pima.te)

head(Pima.te)


###################################################
### code chunk number 2: blm.Rnw:93-98
###################################################
Pima.te$diabetes <- ifelse(Pima.te$type=="Yes",1,0)

fit <- blm(diabetes~scale(age)+scale(bmi),Pima.te)

fit


###################################################
### code chunk number 3: blm.Rnw:129-130
###################################################
summary(fit)


###################################################
### code chunk number 4: blm.Rnw:150-152
###################################################
is.constrained(fit)
which.constrained(fit)


###################################################
### code chunk number 5: blm.Rnw:164-167
###################################################
LR <- summary(fit)$null.deviance-2*summary(fit)$loglik
df <- length(coef(fit))
1-pchisq(LR,df=df)


###################################################
### code chunk number 6: blm.Rnw:173-174
###################################################
hosmerlem(Pima.te$diabetes,predict(fit))


###################################################
### code chunk number 7: blm.Rnw:181-182 (eval = FALSE)
###################################################
## plot(fit)


###################################################
### code chunk number 8: blm.Rnw:197-200
###################################################
fit.categorical <- blm(diabetes~I(age>50)+I(bmi>30),Pima.te)
fit.categorical
gof(fit.categorical)


###################################################
### code chunk number 9: blm.Rnw:205-206 (eval = FALSE)
###################################################
## plot(fit.categorical)


###################################################
### code chunk number 10: blm.Rnw:227-230
###################################################
fit.barrier <- blm(diabetes~scale(age)+scale(bmi),
                   Pima.te,augmented=FALSE)
fit.barrier


###################################################
### code chunk number 11: blm.Rnw:238-239
###################################################
sqrt(diag(vcov(fit)))/sqrt(diag(vcov(fit.barrier)))


###################################################
### code chunk number 12: blm.Rnw:257-260
###################################################
fit <- blm(diabetes~scale(age)+scale(bmi)+I(glu>100),Pima.te)
fit
summary(fit)


###################################################
### code chunk number 13: blm.Rnw:293-296
###################################################
fit.lexpit <- lexpit(f.linear=diabetes ~ scale(age),f.expit=diabetes~scale(bmi)+I(glu>100),Pima.te)
fit.lexpit
summary(fit.lexpit)


###################################################
### code chunk number 14: blm.Rnw:304-309
###################################################
LR <- summary(fit.lexpit)$null.deviance-2*summary(fit.lexpit)$loglik
df <- length(coef(fit.lexpit))
1-pchisq(LR,df=df)

gof(fit.lexpit)


###################################################
### code chunk number 15: blm.Rnw:317-319
###################################################
ci(fit.lexpit,C=list(linear=2,expit=c(1,0,0)),method="subsample",
   n.boot=100)


###################################################
### code chunk number 16: blm.Rnw:327-329
###################################################
ci(fit.lexpit,C=list(linear=0,expit=c(1,0,1)),coef=FALSE,
   method="logit",average=list(linear=FALSE,expit=rep(FALSE,3)))


